﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="GRidButton.aspx.cs" Inherits="Default_Button"
	EnableViewState="false" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server">
	</asp:ScriptManager>
	<script type="text/javascript">
		function pageLoad()
		{
			if ($telerik.isIE7 || $telerik.isIE6)
			{
				window.onresize = onWindowResize;
			}
		}
	</script>
	<telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="true" OnNeedDataSource="RadGrid1_NeedDataSource"
		OnItemCreated="RadGrid1_ItemCreated" OnDataBound="RadGrid1_DataBound" ShowFooter="true">
		<MasterTableView PageSize="20">
			<PagerStyle Mode="NextPrevAndNumeric" />
			<Columns>
				<telerik:GridBoundColumn DataField="Region.Description" HeaderText="Region" UniqueName="Region">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn HeaderText="Trading Partner" UniqueName="TradingPartner"
					DataField="TradingPartner.Name">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn HeaderText="Master Ship No" UniqueName="MasterShipToNo"
					DataField="MasterShipToId" Visible="false">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn HeaderText="Account Name" UniqueName="AccountName" DataField="AccountName">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn HeaderText="City" UniqueName="City" DataField="City">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn HeaderText="State" UniqueName="State" DataField="State.StateId">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="IsProspect" HeaderText="Is Prospect?" UniqueName="IsProspect">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="AccountManagerName" HeaderText="Account Manager"
					UniqueName="AccountManagerName">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="MaterialGroup.Description" HeaderText="Material Group"
					UniqueName="MaterialGroup">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="Material.Description" HeaderText="Material" UniqueName="Material"
					Visible="false">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="Material.MaterialNo" HeaderText="Material No"
					UniqueName="MaterialNo" Visible="false">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="DefaultShipMode.Description" HeaderText="Default Mode"
					UniqueName="DefaultShipMode">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="DefaultPlant.Description" HeaderText="Default Plant"
					UniqueName="DefaultPlant">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="DefaultPlant.Id" HeaderText="Default Plant No"
					UniqueName="DefaultPlantId" Visible="false">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="PriorYearValue" HeaderText="Prior Year" UniqueName="PriorYear"
					DataType="System.Int32" DataFormatString="{0:#,###,###,##0}">
				</telerik:GridBoundColumn>
				<telerik:GridBoundColumn DataField="PriorPeriodValue" HeaderText="Prior Month" UniqueName="PriorPeriod"
					DataType="System.Int32" DataFormatString="{0:#,###,###,##0}">
				</telerik:GridBoundColumn>
				<telerik:GridTemplateColumn HeaderText="Acct Rep Forecast" UniqueName="AccRepForecast"
					SortExpression="AccountManagerValue" DataField="AccountManagerValue">
					<ItemTemplate>
						<telerik:RadNumericTextBox ID="rntxtAcctRepForecast" runat="server" Type="Number"
							DataType="System.Int32" NumberFormat-DecimalDigits="0" NumberFormat-GroupSizes="3"
							NumberFormat-GroupSeparator=",">
						</telerik:RadNumericTextBox>
					</ItemTemplate>
				</telerik:GridTemplateColumn>
				<telerik:GridTemplateColumn HeaderText="Mgmt Forecast" UniqueName="MgmtAllocation"
					SortExpression="ManagementAllocationValue" DataField="ManagementAllocationValue">
					<ItemTemplate>
						<telerik:RadNumericTextBox ID="rntxtMgmtAllocation" runat="server" Type="Number"
							DataType="System.Int32" NumberFormat-DecimalDigits="0" NumberFormat-GroupSizes="3"
							NumberFormat-GroupSeparator=",">
						</telerik:RadNumericTextBox>
					</ItemTemplate>
				</telerik:GridTemplateColumn>
				<telerik:GridTemplateColumn HeaderText="Difference" UniqueName="Difference" SortExpression="ValueDifference"
					DataField="ValueDifference">
					<ItemTemplate>
						<telerik:RadNumericTextBox ID="rtxtDifference" runat="server" ReadOnly="true" ReadOnlyStyle-BorderStyle="None"
							ReadOnlyStyle-BackColor="Transparent" ReadOnlyStyle-ForeColor="Black" DataType="System.Int32"
							NumberFormat-DecimalDigits="0" NumberFormat-GroupSizes="3" NumberFormat-GroupSeparator=",">
						</telerik:RadNumericTextBox>
					</ItemTemplate>
				</telerik:GridTemplateColumn>
				<telerik:GridNumericColumn HeaderText="Acct Rep Forecast" UniqueName="AccRepForecastValue"
					DataField="AccountManagerValue" Visible="false" DataType="System.Int32" DataFormatString="{0:#,###,###,##0}">
				</telerik:GridNumericColumn>
				<telerik:GridNumericColumn HeaderText="Mgmt Forecast" UniqueName="MgmtAllocationValue"
					DataField="ManagementAllocationValue" Visible="false" DataType="System.Int32"
					DataFormatString="{0:#,###,###,##0}">
				</telerik:GridNumericColumn>
				<telerik:GridNumericColumn HeaderText="Difference" UniqueName="DifferenceValue" DataField="ValueDifference"
					Visible="false" DataType="System.Int32" DataFormatString="{0:#,###,###,##0}">
				</telerik:GridNumericColumn>
			</Columns>
		</MasterTableView>
		<ClientSettings Resizing-AllowColumnResize="true">
			<Scrolling AllowScroll="True" UseStaticHeaders="True" />
		</ClientSettings>
	</telerik:RadGrid>
	</form>
</body>
</html>
